if(NOT XLSXWRITER_ROOT_DIR)
    set(XLSXWRITER_ROOT_DIR ${EXTERN_LIB_DIR}/libxlsxwriter)
endif(NOT XLSXWRITER_ROOT_DIR)

if(NOT XLSXWRITER_INCLUDE_DIRS)
    set(XLSXWRITER_INCLUDE_DIRS  ${XLSXWRITER_ROOT_DIR}/include)
endif(NOT XLSXWRITER_INCLUDE_DIRS)

if(NOT XLSXWRITER_LIBRARIES)
    set(XLSXWRITER_LIBRARIES  ${XLSXWRITER_ROOT_DIR}/lib/xlsxwriter.lib)
endif(NOT XLSXWRITER_LIBRARIES)

if(NOT XLSXWRITER_DLL)
    set(XLSXWRITER_DLL  ${XLSXWRITER_ROOT_DIR}/bin/xlsxwriter.dll)
endif(NOT XLSXWRITER_DLL)
